Skip to content

API Appuntamenti ​

Gestisci gli appuntamenti tramite API REST.

Endpoints ​

MetodoEndpointDescrizione
GET/appointmentsLista appuntamenti
POST/appointmentsCrea appuntamento
GET/appointments/{id}Dettaglio
PUT/appointments/{id}Aggiorna
DELETE/appointments/{id}Elimina
POST/appointments/{id}/statusCambia stato

Creare Appuntamento ​

http
POST /api/v1/appointments

Body ​

json
{
  "title": "Call commerciale",
  "type": "video",
  "start_at": "2025-01-20T10:00:00Z",
  "end_at": "2025-01-20T10:30:00Z",
  "contact_id": 5,
  "deal_id": 3,
  "description": "Demo prodotto",
  "location": "https://meet.google.com/xxx"
}

Campi ​

CampoTipoObbligatorio
titlestring✅
start_atdatetime✅
end_atdatetime✅
typestring
contact_idint
deal_idint
descriptionstring
locationstring

Tipi ​

TipoCodice
Telefonataphone
Video Callvideo
In presenzain_person

Cambiare Stato ​

http
POST /api/v1/appointments/{id}/status

Body ​

json
{
  "status": "completed",
  "notes": "Meeting andato bene"
}

Stati ​

StatoCodice
Programmatoscheduled
Confermatoconfirmed
Completatocompleted
Annullatocancelled
No-showno_show

Esempi ​

bash
# Crea appuntamento
curl -X POST "https://bladecrm.it/api/v1/appointments" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Demo prodotto",
    "type": "video",
    "start_at": "2025-01-20T10:00:00Z",
    "end_at": "2025-01-20T10:30:00Z",
    "contact_id": 10
  }'

Realizzato con ❤️ da DScom